import os
import sys
import inputs
import time
import datetime

exit = False
count = 1

log = False

for i in range(1,len(sys.argv)):
	if sys.argv[i] == '-log':
		log = True
		fname = 'logs/gps_global_' +  datetime.datetime.fromtimestamp(time.time()).strftime('%Y-%m-%d_%H:%M:%S') + '.log'
		os.system('touch ' + fname)

print("Press X to start script, B to Exit")
print("waiting for input...")

while(not exit):


	events = inputs.get_gamepad()

	
	for event in events:
		if event.ev_type == 'Key':
			if event.code == 'BTN_NORTH':
				if event.state:
					count = 0
					
					cmd = "python3 main.py"
					for i in range(1,len(sys.argv)):
						cmd = cmd + ' ' + str(sys.argv[i])
						if str(sys.argv[i]) == '-log':
							cmd = cmd + ' ' + fname

					print("Starting program with params: " + cmd)
					time.sleep(2) 
					os.system(cmd)
					print("Press X to start script, B to Exit")
					print("waiting for input...")
					
					
			if event.code == 'BTN_EAST':
				if event.state:
					count += 1 
					if count == 2:
						exit = not exit 			

	
print("Exiting.")
