import numpy as np
import cv2 as cv
import time
import datetime
import os


def grabFrame(cap):
	ret, frame = cap.read()

	frame = cv.resize(frame,(128,128),interpolation = cv.INTER_AREA)

	return frame



cap = cv.VideoCapture(0)

cv.namedWindow('Frame',cv.WINDOW_NORMAL)
cv.resizeWindow('Frame',700,700)


while(True):

	frame = grabFrame(cap)
	cv.imshow('Frame',frame)
	
	#path = '/mnt/path images/iRobot 8-10-2018'

	#if not os.path.isdir(path):
		#os.makedirs(path)
	
	fname =  datetime.datetime.fromtimestamp(time.time()).strftime('%Y-%m-%d-%H_%M_%S_%f') + '.png'

	#cv.imwrite(os.path.join(path, fname),frame)
	cv.imwrite(fname,frame)

	if cv.waitKey(500) & 0xFF == ord('q'): 
		break


cap.release()
cv.destroyAllWindows()
